Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class StatData

    java.lang.Object
      com.tibco.tibjms.admin.StatData

    public class StatData

extends java.lang.Object

This class represents statistical data about another object (Topic, Queue etc). Statistical data contains the total number of messages and their cumulative size. Optionally it provides message rates as number of messages per second and number of bytes per second. Whether or not rate information is available is controlled by the server configuration. If rate collection is turned off, all rate numbers are set to 0. However in those cases the application can calculate the rates based on the absolute numbers taken at periodic intervals.

Method Summary
`long` | `getByteRate()` Get the value for the rate of bytes per second.
`long` | `getMessageRate()` Get the value for the number of messages per second.
`long` | `getTotalBytes()` Get the value for the total size of messages.
`long` | `getTotalMessages()` Get the value for the total number of messages.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTotalMessages

    public long getTotalMessages()

  Get the value for the total number of messages.

  Returns:
    the total number of messages.

### getTotalBytes

    public long getTotalBytes()

  Get the value for the total size of messages.

  Returns:
    the total size of messages.

### getMessageRate

    public long getMessageRate()

  Get the value for the number of messages per second.

  Returns:
    the number of messages per second.

### getByteRate

    public long getByteRate()

  Get the value for the rate of bytes per second.

  Returns:
    the rate of bytes per second.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved